<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://kit.fontawesome.com/a076d05399.js" crossorigin="anonymous"></script>
  </head>
<script type="text/javascript">
  function filter(text) {
    var cards = document.getElementById("cards").children
    for (let card of cards) {
      let content = card.innerHTML.toUpperCase()
      text = text.toUpperCase()
      card.style.display = content.match(text) ? "block" : "none"
    }
  }
</script>

<ion-header>
  <ion-toolbar>
    <ion-title>PELÍCULAS</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-searchbar debounce="1000" placeholder="Buscar Película..." (ionChange)="ionChange($event)" id="filter"></ion-searchbar>
  <section class="d-flex flex-wrap flex-column justify-content-center flex-sm-row">
    <div class="card col-12 col-sm-5 col-md-3 m-2 flex-row flex-sm-column justify-content-center " *ngFor="let films of film" id="cards">
      <img src="{{films.image}}" class="card-img d-none d-sm-block w-100" alt="imagen film {{films.title}}">
      <img src="{{films.image}}" class="card-img d-block d-sm-none w-50" alt="imagen film {{films.title}}">
      <div class="card-body">
        <h3 class="card-title fw-bold">{{films.title}}</h3>
        <div class="content d-flex justify-content-around">
        <p class="text-muted fs-5">{{films.release_date}}</p>
        <p class="card-text fs-6">{{films.rt_score}}/100</p>
      </div>
        <p class="card-text-summary">{{films.description}}</p>
        <button class="btn btn-primary" (click)="filmDetails(films.id)" routerDirection="forward"> More info...</button>
      </div>
    </div>
  </section>
  <br>
  <!-- <ion-infinite-scroll threshold="25%" position="bottom" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading more data...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>-->
</ion-content>
</html>
